﻿using System;

using ExcelDna.Integration;
using Dodoni.BasicComponents.Utilities;

namespace Dodoni.XLGuidedTour.SpecialTopic
{
    [LanguageResource("Dodoni.XLGuidedTour.SpecialTopic.ColorResourceFile")]
    public enum MyColor
    {
        [LanguageString("Key_Blue")]
        [String("Funny blue")]
        Blue,

        [String("White")]
        White
    }

    public static class LanguageStringExample
    {
        [ExcelFunction(Name = "myGetColor")]
        public static object GetColor()
        {
            return MyColor.Blue.ToFormatString(EnumStringRepresentationUsage.LanguageStringAttribute)
                + "; " + MyColor.Blue.ToFormatString(EnumStringRepresentationUsage.StringAttribute)
                + "; " + MyColor.Blue.ToFormatString(EnumStringRepresentationUsage.ToStringMethod);
        }
    }
}